# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname bitfrost
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		python-module-bitfrost
Version:	1.0.15
Release:	alt1_4
Summary:	OLPC bitfrost security modules

Group:		System/Base
License:	LGPLv2+ and GPLv2+ and Public Domain
URL:		http://wiki.laptop.org/go/Bitfrost
Source0:	http://dev.laptop.org/pub/source/bitfrost/%{oldname}-%{version}.tar.bz2

BuildRequires:	python-devel python-module-Pyrex
Source44: import.info


%description
A collection of Python modules which implement parts of Bitfrost, the
OLPC security platform.


%package sugar
Summary:	OLPC bitfrost security modules
Group:		System/Base
License:	LGPLv2+ and GPLv2+ and Public Domain
Requires: 	python-module-bitfrost sugar-toolkit


%description sugar
Bitfrost python modules which interact with Sugar components.


%prep
%setup -q -n %{oldname}-%{version}


%build
make OPTFLAGS="$RPM_OPT_FLAGS"
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --install-lib "%{python_sitelibdir}" --root $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT/%{python_sitelibdir}/bitfrost/util
%{__install} -m 755 bitfrost/util/{pysign.so,pyverify.so} $RPM_BUILD_ROOT/%{python_sitelibdir}/bitfrost/util/


%files
%doc
%{python_sitelibdir}/bitfrost-%{version}-*.egg-info
%dir %{python_sitelibdir}/bitfrost
%{python_sitelibdir}/bitfrost/__init__.py*
%{python_sitelibdir}/bitfrost/contents
%{python_sitelibdir}/bitfrost/leases
%{python_sitelibdir}/bitfrost/util
%dir %{python_sitelibdir}/bitfrost/update
%{python_sitelibdir}/bitfrost/update/__init__.py*
%{python_sitelibdir}/bitfrost/update/irsync.py*
%{python_sitelibdir}/bitfrost/update/setup.py*


%files sugar
%{python_sitelibdir}/bitfrost/update/actinfo.py*
%{python_sitelibdir}/bitfrost/update/actutils.py*
%{python_sitelibdir}/bitfrost/update/microformat.py*


%changelog
* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.15-alt1_4
- update to new release by fcimport

* Mon Jun 11 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.15-alt1_3
- update to new fc release

